Subject: bug#76559: 31.0.50; [-O3 + PGTK] Crash when 'copying as kill'/'killing word'

From: Eli Zaretskii <[email-masked]>
Date: Thu, 27 Feb 2025 15:16:21 +0200

> Date: Thu, 27 Feb 2025 12:22:36 +0000
> From: Pip Cet <[email-masked]>
> Cc: Po Lu <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked], Stefan Kangas <[email-masked]>, Paul Eggert <[email-masked]>
> 
> "Eli Zaretskii" <[email-masked]> writes:
> 
> > I believe we should recommend against using -O3.  Too many bad bugs
> 
> If we do that, can we include link time optimization in that?  I find
> LTO'd code extremely difficult to read, since things like the calling
> convention no longer apply (even when a function call isn't inlined, LTO
> can still conclude that some registers survive the call and reuse them
> even though the calling convention disagrees).

Maybe we should also recommend against LTO.  Paul, WDYT about this?

> However, let's be careful not to blame GCC until we have a smoking gun.
> So far, it's usually Emacs which is at fault.

Sure.  I only said what I said based on enough examples we saw in the
recent years.